用你的摄像头录像拍照——cheese

仅仅用于软件推荐,不适合发求软件或软件使用问题方面的贴子
lisir
帖子: 1187
注册时间: 2006-04-29 14:54
来自: 山东
送出感谢: 0
接收感谢: 0
联系:

用你的摄像头录像拍照——cheese

#1

帖子 lisir » 2007-09-05 23:01

转自http://www.mvpdream.org/blog/2007/08/ch ... ebcam.html
Cheese,take photo by webcam
茄子!咔嚓,按下快门拍下一张照片。Cheese就是老外版的“茄子”,你有摄像头么?那么你可以来安装一个Linux软件叫做Cheese,你就可以通过Cheese这个软件来使用摄像头自拍啦。
不知道是否是Ubuntu 7.04已经可以支持中星微芯片的摄像头了,我是在一个带有摄像头的台式机上刚刚安装好的Ubuntu 7.04并且在线更新至最新,然后安装的Cheese,Cheese就可以直接打开摄像头了的。不过我在xorg.conf配置文件里是有看到 “Driver wacom“字样的,不知道是否就是所谓的摄像头。Cheese软件主界面如下图所示:
图片

这个软件很简单,按下Take a Photo按钮后屏幕就会倒数3秒,最后提示Cheese,这就可以拍下了,拍下的图片会在下方预览区存储,可双击打开和右击删除和发送。单击“Effects”按钮就可以选择拍摄效果,单击“Video”就转换为录像模式了。

Cheese官方网站:
http://live.gnome.org/Cheese
Deb包下载:
http://www.getdeb.net/release.php?id=1305
补充一下:
这个软件的目标就是Apple的Photobooth(有人叫这个为大头帖),可以用你的摄像头来拍照或摄像,也可添加特效。照片保存格式为JPEG格式,视频保存格式为Ogg/Theora(一种视频压缩编码,wikipedia就是用的这种格式,具体介绍请见http://www.wiki.cn/wiki/Theora)。与flickr、gnome-about-me、f-spot整合。
最新版本是2007年9月5日发布的0.2.4版。
学会看置顶帖、精华帖。
学会使用搜索。
常见问题解答和发帖需知
头像
freedom8971
帖子: 182
注册时间: 2007-08-05 2:50
送出感谢: 0
接收感谢: 0

#2

帖子 freedom8971 » 2007-09-06 2:00

不错,支持
jimmin
论坛版主
帖子: 2138
注册时间: 2006-09-24 4:37
送出感谢: 0
接收感谢: 1 次

#3

帖子 jimmin » 2007-09-06 2:03

支持
头像
szwzj
帖子: 83
注册时间: 2007-08-16 12:24
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 szwzj » 2007-09-07 11:48

很不错的 东西 图像很清晰,太好了 楼主谢谢!!
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#5

帖子 bones7456 » 2007-09-07 12:23

恩,好东西。
关注我的blog: ε==3
chencjing
帖子: 54
注册时间: 2007-07-30 23:57
送出感谢: 0
接收感谢: 0

#6

帖子 chencjing » 2007-09-08 10:12

怎么打开呢,我装好了,但是看不到啊
头像
aitilang
帖子: 1026
注册时间: 2007-04-28 21:38
送出感谢: 0
接收感谢: 0

#7

帖子 aitilang » 2007-09-08 10:32

穷人,没摄像头。
thinkpad x61 2G DDR no cdrom
--------------------------------------------
ABS学习中
sed学习中
awk学习中
perl学习中
新手描述不清,老手猜测不到,胡乱指挥一通,后果难以预料
lisir
帖子: 1187
注册时间: 2006-04-29 14:54
来自: 山东
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 lisir » 2007-09-08 20:12

chencjing 写了:怎么打开呢,我装好了,但是看不到啊
你安装驱动了吗?
如果没有就看看本版上viewtopic.php?t=65474
学会看置顶帖、精华帖。
学会使用搜索。
常见问题解答和发帖需知
潇洒的怪兽
帖子: 89
注册时间: 2007-06-18 11:33
送出感谢: 0
接收感谢: 0

#9

帖子 潇洒的怪兽 » 2007-09-09 0:33

chencjing 写了:怎么打开呢,我装好了,但是看不到啊
0.2.4好像fix了这个error,不过没有deb要编译安装,我不知道是少了个glib的库还是库的版本低了不能装,今天太晚了,明天起来再研究.这东西比起camorama画面好多了..

代码: 全选

Configure failed, sorry! Please make shure that you have installed glib-2.0 >= 2.12.0
就是少个这东西,谁知道哪有下的话麻烦告诉一下,我源里没找到.
lisir
帖子: 1187
注册时间: 2006-04-29 14:54
来自: 山东
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 lisir » 2007-09-09 11:33

潇洒的怪兽 写了:
chencjing 写了:怎么打开呢,我装好了,但是看不到啊
0.2.4好像fix了这个error,不过没有deb要编译安装,我不知道是少了个glib的库还是库的版本低了不能装,今天太晚了,明天起来再研究.这东西比起camorama画面好多了..

代码: 全选

Configure failed, sorry! Please make shure that you have installed glib-2.0 >= 2.12.0
就是少个这东西,谁知道哪有下的话麻烦告诉一下,我源里没找到.
不可能找不到,用搜索可以搜到的,全名是libglib2.0-dev
注意:这种编译需要的开发库,大多是以lib开头,以dev结尾
学会看置顶帖、精华帖。
学会使用搜索。
常见问题解答和发帖需知
潇洒的怪兽
帖子: 89
注册时间: 2007-06-18 11:33
送出感谢: 0
接收感谢: 0

#11

帖子 潇洒的怪兽 » 2007-09-09 12:03

行了,我一开始以为2.0是低版本的,到处去找2.12.0的版本..
潇洒的怪兽
帖子: 89
注册时间: 2007-06-18 11:33
送出感谢: 0
接收感谢: 0

#12

帖子 潇洒的怪兽 » 2007-09-09 12:53

能用了,不过挺卡的,有点遗憾.不敢独享特来分享一下经验.

编译的时候提示 Configure failed, sorry! Please make shure that you have installed *.的请打

代码: 全选

sudo apt-get install build-essential libglib2.0-dev python-gobject-dev libgtk2.0-dev libglade2-dev libdbus-1-dev libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev gstreamer0.10-plugins-good libpango1.0-dev libgnomevfs2-dev libcairo2-dev libgnomeui-dev libebook1.2-dev
make的时候提示Could not find msgfmt in PATH. Cannot generate cs.mo.停止.的请打

代码: 全选

sudo apt-get install gettext
别的就按install文件里的操作就行了.

参考了一个外国网站..比较郁闷的是我兢兢业业的按照错误提示一个一个安装完了那些lib之后才找到了这个网站..不然能省不少力气..sigh
http://ubuntuforums.org/showthread.php?t=486722&page=2
上次由 潇洒的怪兽 在 2007-09-09 12:57,总共编辑 1 次。
头像
猛将兄
帖子: 2052
注册时间: 2005-10-19 17:33
送出感谢: 0
接收感谢: 0

#13

帖子 猛将兄 » 2007-09-09 12:57

源里面有啊。cheese
莫非只是在gutsy里面有?
潇洒的怪兽
帖子: 89
注册时间: 2007-06-18 11:33
送出感谢: 0
接收感谢: 0

#14

帖子 潇洒的怪兽 » 2007-09-09 12:59

不清楚..我用的7.04..如果是的话我只能orz了..
lisir
帖子: 1187
注册时间: 2006-04-29 14:54
来自: 山东
送出感谢: 0
接收感谢: 0
联系:

#15

帖子 lisir » 2007-09-09 16:31

源里的不是最新版。
学会看置顶帖、精华帖。
学会使用搜索。
常见问题解答和发帖需知
回复

回到 “软件推荐”